Passer au contenu principal
GET
/
2
/
compliance
/
jobs
Récupérer les tâches de conformité
curl --request GET \
  --url https://api.x.com/2/compliance/jobs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2021-01-06T18:40:40.000Z",
      "download_expires_at": "2021-01-06T18:40:40.000Z",
      "download_url": "<string>",
      "id": "1372966999991541762",
      "status": "created",
      "type": "tweets",
      "upload_expires_at": "2021-01-06T18:40:40.000Z",
      "upload_url": "<string>",
      "name": "my-job"
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "meta": {
    "result_count": 123
  }
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de requête

type
enum<string>
requis

Type de tâche de conformité (Compliance Job) à répertorier.

Options disponibles:
tweets,
users
status
enum<string>

Statut de la tâche de conformité à lister.

Options disponibles:
created,
in_progress,
failed,
complete
compliance_job.fields
enum<string>[]

Une liste, séparée par des virgules, des champs ComplianceJob à renvoyer. Les champs disponibles pour l’objet ComplianceJob.

Minimum array length: 1
Options disponibles:
created_at,
download_expires_at,
download_url,
id,
name,
resumable,
status,
type,
upload_expires_at,
upload_url
Exemple:
[
"created_at",
"download_expires_at",
"download_url",
"id",
"name",
"resumable",
"status",
"type",
"upload_expires_at",
"upload_url"
]

Réponse

La requête a réussi.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).

meta
object